Il Forum NON UFFICIALE per raccogliere le novità riguardo i Fritz!Box AVM e gli Speed tedeschi.
Per contattare l'admin: fritzboxforumitalia@gmail.com (solo per problemi di accesso)


Ai nuovi iscritti: si ricorda che è obbligatorio presentarsi nella apposita sezione, pena la cancellazione dell'account

Non sei connesso Connettiti o registrati

RISOLTO - kconfig-3.1-rc9/.unpacked]

Vedere l'argomento precedente Vedere l'argomento seguente Andare in basso  Messaggio [Pagina 1 di 1]

1 RISOLTO - kconfig-3.1-rc9/.unpacked] il Mar Lug 09, 2013 5:39 am

graymalking


moderatore
moderatore
ho ripreso sottomano freetz e mi sono accorto che negli ultimi trunk mi ritrovo un problema, in fase di make menuconfig
mi segna questo errore

mkdir -p /home/andrea/trunk_7800/source/host-tools/kconfig-3.1-rc9/scripts
tar -C /home/andrea/trunk_7800/source/host-tools/kconfig-3.1-rc9/scripts  --wildcards --strip-components=1 \
-xzf dl/kconfig-3.1-rc9.tar.gz */basic */kconfig */Makefile.{build,host,lib} */Kbuild.include

gzip: stdin: not in gzip format
tar: Child returned status 1
tar: Error is not recoverable: exiting now
make: *** [/home/andrea/trunk_7800/source/host-tools/kconfig-3.1-rc9/.unpacked] Errore 2

in pratica non scompatta il file kconfig-3.1-rc9.tar.gz
a titolo mio ho provato ad usare altri scompattatori a mano rivolti su questo file e mi danno tutti errore, a nessuno capita la stessa cosa ?



Ultima modifica di graymalking il Mer Lug 10, 2013 1:23 am, modificato 1 volta

http://graymalking.altervista.org

2 Re: RISOLTO - kconfig-3.1-rc9/.unpacked] il Mar Lug 09, 2013 7:47 pm

DANIELONE


Guru
Guru
graymalking ha scritto:ho ripreso sottomano freetz e mi sono accorto che negli ultimi trunk mi ritrovo un problema, in fase di make menuconfig
mi segna questo errore

mkdir -p /home/andrea/trunk_7800/source/host-tools/kconfig-3.1-rc9/scripts
tar -C /home/andrea/trunk_7800/source/host-tools/kconfig-3.1-rc9/scripts  --wildcards --strip-components=1 \
-xzf dl/kconfig-3.1-rc9.tar.gz */basic */kconfig */Makefile.{build,host,lib} */Kbuild.include

gzip: stdin: not in gzip format
tar: Child returned status 1
tar: Error is not recoverable: exiting now
make: *** [/home/andrea/trunk_7800/source/host-tools/kconfig-3.1-rc9/.unpacked] Errore 2

in pratica non scompatta il file kconfig-3.1-rc9.tar.gz
a titolo mio ho provato ad usare altri scompattatori a mano rivolti su questo file e mi danno tutti errore, a nessuno capita la stessa cosa ?



Io non l'ho provato, ma considerando che ti da l'errore che non è in GZIP format, o usi scompattatori non adatti ( e non ci credo ) oppure hai considerato il fatto che il file potrebbe essere corrotto ????

3 Re: RISOLTO - kconfig-3.1-rc9/.unpacked] il Mar Lug 09, 2013 8:35 pm

graymalking


moderatore
moderatore
si certo, infatti mi soni scaricato altri trunk e in pratica sotto la versione 7000 e vatelapesca tutto ok (ma non c'è quel tipo di file, poi si trova una serie di trunk con una versione del file precedente che non viene scaricato in quanto la pagina è scaduta ed in fine una lunga serie di versioni con quel file che non si scompatta. Mi sembra strano però che i crucchi stiano andando avanti con molte versioni a file corrotto. Lo scompattatore di default è il gestore di ubuntu 11 ma anche con seven zip e winrar mi da errore

http://graymalking.altervista.org

4 Re: RISOLTO - kconfig-3.1-rc9/.unpacked] il Mer Lug 10, 2013 1:22 am

graymalking


moderatore
moderatore
ok, dopo una indagine sul forum tedesco ho capito il problema; stavo utilizzando una versione ancora vecchia leggendo le wiki avevo pensato che fosse l'ultima invece sono andati molto avanti
a titolo riepilogativo per chi voglia ottenere l'ultima versione valida di devel trunk ricordo che il comando da inviare è

svn co http://svn.freetz.org/trunk freetz-devel

aggiungo che per queste versioni è necessario anche il pacchetto git, chi avesse una vecchia versione di ubuntu e non volesse passare ad una nuova può aggiornare il pacchetto mancante con questi comandi:

>Prior to installing Git itself, download all of the required dependancies:

sudo apt-get install libcurl4-gnutls-dev libexpat1-dev gettext libz-dev libssl-dev build-essential


>Once they are installed, you can download the latest version of Git from >the google code page.

wget https://git-core.googlecode.com/files/git-1.8.1.2.tar.gz


>After it downloads, untar the file and switch into that directory:

tar -zxf git-1.8.1.2.tar.gz

cd git-1.8.1.2


>If you want to do a global install, install it once as yourself and once as r>oot, using the sudo prefix:

make prefix=/usr/local all
sudo make prefix=/usr/local install

>If you need to update Git in the future, you can use Git itself to do it.

git clone git://git.kernel.org/pub/scm/git/git.git

http://graymalking.altervista.org

5 Re: RISOLTO - kconfig-3.1-rc9/.unpacked] il Mer Lug 10, 2013 2:06 am

DANIELONE


Guru
Guru
Grande, era per forza un problema, o di file corrotto, ma non lo potevano essere tutti, o un problema di compatibilità.
Capita spesso purtroppo che si pensa di avere i mezzi giusti a propria disposizione e poi invece ci si rende conto di essere obsoleti lol! 

Mitico cheers 

Contenuto sponsorizzato


Vedere l'argomento precedente Vedere l'argomento seguente Tornare in alto  Messaggio [Pagina 1 di 1]

Permesso di questo forum:
Non puoi rispondere agli argomenti in questo forum